## fastapi 0.101.0

=== requirements.txt ===
-e .[all]
-r requirements-tests.txt
-r requirements-docs.txt
uvicorn[standard] >=0.12.0,<0.23.0
pre-commit >=2.17.0,<4.0.0

## fastapi 0.63.0

=== debian/changelog ===
fastapi (0.63.0-2ubuntu0.1) jammy; urgency=low

  * Add upstream commits 33d614 and 11d0a0 to make it work with
    starlette 1.18.0 which we have in jammy (LP: #1970557)

 -- Rhonda D'Vine <rhonda@ubuntu.com>  Wed, 19 Jul 2023 14:37:34 +0000

fastapi (0.63.0-2) unstable; urgency=medium

  * debian/watch
    - track github releases

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2021 18:29:02 -0500

fastapi (0.63.0-1) unstable; urgency=low

  * Initial release; Closes: #977492

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2021 23:22:17 -0500

=== debian/control ===
Source: fastapi
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-aiofiles <!nocheck>,
               python3-aiosqlite <!nocheck>,
               python3-all,
               python3-databases <!nocheck>,
               python3-email-validator <!nocheck>,
               python3-flask <!nocheck>,
               python3-httpx <!nocheck>,
               python3-multipart <!nocheck>,
               python3-peewee <!nocheck>,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-requests <!nocheck>,
               python3-starlette <!nocheck>,
               python3-ujson <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/tiangolo/fastapi
Vcs-Git: https://salsa.debian.org/python-team/packages/fastapi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fastapi

Package: python3-fastapi
Architecture: all
Depends: python3-pydantic,
         python3-starlette,
         python3-uvicorn,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: modern, fast, web framework for building APIs, based on type hints
 FastAPI is a modern, fast (high-performance), web framework for building APIs
 with Python 3.6+ based on standard Python type hints.
 .
 The key features are:
 .
  * Fast: Very high performance, on par with NodeJS and Go (thanks to Starlette
  * and Pydantic). One of the fastest Python frameworks available.
 .
  * Fast to code: Increase the speed to develop features by about 200% to 300%.
  * (note1)
 .
  * Fewer bugs: Reduce about 40% of human (developer) induced errors. (note1)
 .
  * Intuitive: Great editor support. Completion everywhere. Less time debugging.
 .
  * Easy: Designed to be easy to use and learn. Less time reading docs.
 .
  * Short: Minimize code duplication. Multiple features from each parameter
  * declaration. Fewer bugs.
 .
  * Robust: Get production-ready code. With automatic interactive documentation.
 .
  * Standards-based: Based on (and fully compatible with) the open standards for
  * APIs: OpenAPI (previously known as Swagger) and JSON Schema.
 .
 (note1) estimation based on tests on an internal development team, building
 production applications.

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi
export PYBUILD_BUILD_ARGS={interpreter} debian/setup.py build
export PYBUILD_SYSTEM=custom
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	PYBUILD_SYSTEM=custom PYBUILD_CLEAN_ARGS="{interpreter} debian/setup.py clean" dh_auto_clean

#override_dh_auto_build:
#	PYBUILD_SYSTEM=custom PYBUILD_BUILD_ARGS="{interpreter} debian/setup.py build" dh_auto_build

override_dh_auto_install:
	PYBUILD_SYSTEM=custom PYBUILD_INSTALL_ARGS="{interpreter} debian/setup.py install --root={destdir} --install-layout=deb" dh_auto_install

override_dh_auto_test:
	# tests/test_default_response_class.py -> ModuleNotFoundError: No module named 'orjson'
	# test_get_custom_response -> AssertionError: orjson must be installed to use ORJSONResponse
	# tests/test_tutorial/test_security/test_tutorial005.py -> ModuleNotFoundError: No module named 'jose'
	# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ --ignore=tests/test_default_response_class.py --ignore=tests/test_tutorial/test_security/test_tutorial005.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response'" dh_auto_test

## fastapi 0.74.1

=== debian/changelog ===
fastapi (0.74.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - remove pytest-asyncio from b-d, not needed
  * debian/patches/PR4483.patch
    - support starlette 0.18.0; Closes: #1005547, #1005635

 -- Sandro Tosi <morph@debian.org>  Sat, 26 Feb 2022 22:32:18 -0500

fastapi (0.73.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/rules debian/tests/unittests
    - skip more tests depending on jose, not available in debian yet

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2022 23:38:13 -0500

fastapi (0.70.1-1) unstable; urgency=medium

  * New upstream release
  * debian/tests
    - add autopkgtest
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 01:29:58 -0500

fastapi (0.70.0-2) unstable; urgency=medium

  * use flit build backend instead of a custom setup.py file

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Dec 2021 23:52:49 -0500

fastapi (0.70.0-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2021-32677, Closes: #990582
  * debian/patches
    - drop patches, merged upstream
  * debian/control
    - tighen up starlette b-d version
  * debian/rules
    - exclude 2 more tests, which need an updated httpx
  * debian/control
    - tighen starlette and pydantic versions, add yaml to b-d

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Oct 2021 22:35:10 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               flit,
+               pybuild-plugin-pyproject,
                python3-aiofiles <!nocheck>,
                python3-aiosqlite <!nocheck>,
                python3-all,
@@ -14,13 +15,13 @@
                python3-httpx <!nocheck>,
                python3-multipart <!nocheck>,
                python3-peewee <!nocheck>,
-               python3-pydantic <!nocheck>,
+               python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-asyncio <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette <!nocheck>,
+               python3-starlette (>= 0.16.0) <!nocheck>,
                python3-ujson <!nocheck>,
-Standards-Version: 4.5.1
+               python3-yaml <!nocheck>,
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/tiangolo/fastapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/fastapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fastapi

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# tests/test_default_response_class.py -> ModuleNotFoundError: No module named 'orjson'
	# test_get_custom_response -> AssertionError: orjson must be installed to use ORJSONResponse
	# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
	# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
	# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing'" dh_auto_test

## fastapi 0.85.0

=== debian/changelog ===
fastapi (0.85.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Sandro Tosi ]
  * debian/control
    - tighten b-d on starlette to >= 0.20.4

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Sep 2022 22:02:40 -0400

fastapi (0.85.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1020083
  * Drop patches, no longer needed
  * debian/control
    - build system, switch from flit to hatchling
  * skip more tests during build and autopkgtests

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Sep 2022 23:24:21 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               flit,
                pybuild-plugin-pyproject,
                python3-aiofiles <!nocheck>,
                python3-aiosqlite <!nocheck>,
@@ -12,13 +11,14 @@
                python3-databases <!nocheck>,
                python3-email-validator <!nocheck>,
                python3-flask <!nocheck>,
+               python3-hatchling,
                python3-httpx <!nocheck>,
                python3-multipart <!nocheck>,
                python3-peewee <!nocheck>,
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.16.0) <!nocheck>,
+               python3-starlette (>= 0.20.4) <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
 Standards-Version: 4.6.0.1

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# tests/test_default_response_class.py -> ModuleNotFoundError: No module named 'orjson'
	# tests/test_tutorial/test_custom_response/test_tutorial009c.py -> ModuleNotFoundError: No module named 'orjson'
	# test_get_custom_response -> AssertionError: orjson must be installed to use ORJSONResponse
	# test_orjson_non_str_keys -> AssertionError: orjson must be installed to use ORJSONResponse
	# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
	# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
	# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys'" dh_auto_test

## fastapi 0.88.0

=== debian/changelog ===
fastapi (0.88.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump httpx b-d to >= 0.23.1, needed for python 3.11 compatibility;
      Closes: #1025242
    - bump b-d on starlette to >= 0.22.0
    - add trio to b-d, needed by tests
  * debian/rules
    - ignore DeprecationWarnins during pytest

 -- Sandro Tosi <morph@debian.org>  Fri, 09 Dec 2022 16:38:27 -0500

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
                python3-email-validator <!nocheck>,
                python3-flask <!nocheck>,
                python3-hatchling,
-               python3-httpx <!nocheck>,
+               python3-httpx (>= 0.23.1) <!nocheck>,
                python3-multipart <!nocheck>,
                python3-peewee <!nocheck>,
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.20.4) <!nocheck>,
+               python3-starlette (>= 0.22.0) <!nocheck>,
+               python3-trio <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
 Standards-Version: 4.6.0.1

## fastapi 0.91.0

=== debian/changelog ===
fastapi (0.91.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on starlette to >= 0.24.0

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Feb 2023 23:33:51 -0500

fastapi (0.89.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
  * debian/tests/unittests
    - run autopkgtest on all supported python versions

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 02:53:46 -0500

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.22.0) <!nocheck>,
+               python3-starlette (>= 0.24.0) <!nocheck>,
                python3-trio <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/tiangolo/fastapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/fastapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fastapi

## fastapi 0.92.0

=== debian/changelog ===
fastapi (0.92.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump b-d on starlette to >= 0.25.0

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Feb 2023 16:15:44 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.24.0) <!nocheck>,
+               python3-starlette (>= 0.25.0) <!nocheck>,
                python3-trio <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
 	# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
 	# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys'" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ -W ignore::DeprecationWarning --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys'" dh_auto_test

## fastapi 0.100.0

=== debian/changelog ===
fastapi (0.100.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add dirty-equals to b-d, needed by test
    - add typing-extensions to b-d, needed by tests
  * debian/rules
    - skip test_dependency_gets_exception

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Jul 2023 01:14:13 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                python3-aiosqlite <!nocheck>,
                python3-all,
                python3-databases <!nocheck>,
+               python3-dirty-equals <!nocheck>,
                python3-email-validator <!nocheck>,
                python3-flask <!nocheck>,
                python3-hatchling,
@@ -20,6 +21,7 @@
                python3-requests <!nocheck>,
                python3-starlette (>= 0.25.0) <!nocheck>,
                python3-trio <!nocheck>,
+               python3-typing-extensions (>= 4.7.1) <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
 Standards-Version: 4.6.2.0

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,5 @@
 	# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
 	# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
 	# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ -W ignore::DeprecationWarning --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys'" dh_auto_test
+	# test_dependency_gets_exception -> https://github.com/tiangolo/fastapi/discussions/9934
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=$(CURDIR)/build/lib/ {interpreter} -m pytest tests/ -W ignore::DeprecationWarning --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k ' not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys and not test_dependency_gets_exception'" dh_auto_test

## fastapi 0.101.0

=== debian/changelog ===
fastapi (0.101.0-3) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:05:44 -0500

fastapi (0.101.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Patch: Fix test_warn_duplicate_operation_id. (Closes #1054764)

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Jan 2024 02:18:21 -0500

fastapi (0.101.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 10 Aug 2023 13:56:04 -0400

fastapi (0.100.0-2) unstable; urgency=medium

  * run autopkgtests via autopkgtest-pkg-pybuild, refactoring how we teach
    d/rules to run tests

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Jul 2023 21:33:21 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-aiofiles <!nocheck>,
@@ -26,8 +25,9 @@
                python3-yaml <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://github.com/tiangolo/fastapi
-Vcs-Git: https://salsa.debian.org/python-team/packages/fastapi.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/fastapi
+Vcs-Git: https://salsa.debian.org/morph/fastapi.git
+Vcs-Browser: https://salsa.debian.org/morph/fastapi
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-fastapi
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi

# tests/test_default_response_class.py -> ModuleNotFoundError: No module named 'orjson'
# tests/test_tutorial/test_custom_response/test_tutorial009c.py -> ModuleNotFoundError: No module named 'orjson'
# test_get_custom_response -> AssertionError: orjson must be installed to use ORJSONResponse
# test_orjson_non_str_keys -> AssertionError: orjson must be installed to use ORJSONResponse
# tests/test_tutorial/test_security/test_tutorial005* -> ModuleNotFoundError: No module named 'jose'
# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
# test_dependency_gets_exception -> https://github.com/tiangolo/fastapi/discussions/9934
# test_path_operation_img -> needs a file in the doc/ dir, not available during autopkgtests
export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning --ignore=docs_src/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k " not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys and not test_dependency_gets_exception and not test_path_operation_img"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fastapi-$1.tar.gz%" \
https://github.com/tiangolo/fastapi/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## fastapi 0.110.0

=== debian/changelog ===
fastapi (0.110.0-1) unstable; urgency=medium

  * New upstream release
  * drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Tue, 05 Mar 2024 23:32:48 -0500

## fastapi 0.110.3

=== requirements.txt ===
-e .[all]
-r requirements-tests.txt
-r requirements-docs.txt
pre-commit >=2.17.0,<4.0.0
# For generating screenshots
playwright

=== .github/actions/comment-docs-preview-in-pr/requirements.txt ===
PyGithub
pydantic>=2.5.3,<3.0.0
pydantic-settings>=2.1.0,<3.0.0
httpx

=== debian/changelog ===
fastapi (0.110.3-0ubuntu2) oracular; urgency=medium

  * d/p/pydantic-latest.patch: Cherry pick for for compatibility with
    recent pydantic releases, resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Sep 2024 09:33:02 +0100

fastapi (0.110.3-0ubuntu1) oracular; urgency=medium

  * New upstream patch release.
  * d/control: Add BD on python3-pydantic-settings.
  * d/control: Switch build backend from hatchling to pdm.
  * d/control: Let minimum version of starlette to resolve test
    failures with anyio >= 4.4.0.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Sep 2024 11:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fastapi
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-aiofiles <!nocheck>,
@@ -11,14 +12,15 @@
                python3-dirty-equals <!nocheck>,
                python3-email-validator <!nocheck>,
                python3-flask <!nocheck>,
-               python3-hatchling,
                python3-httpx (>= 0.23.1) <!nocheck>,
                python3-multipart <!nocheck>,
+               python3-pdm-backend,
                python3-peewee <!nocheck>,
                python3-pydantic (>= 1.8.2) <!nocheck>,
+               python3-pydantic-settings <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.25.0) <!nocheck>,
+               python3-starlette (>= 0.38.5-0ubuntu1~) <!nocheck>,
                python3-trio <!nocheck>,
                python3-typing-extensions (>= 4.7.1) <!nocheck>,
                python3-ujson <!nocheck>,

## fastapi 0.115.5

=== debian/changelog ===
fastapi (0.115.5-2) unstable; urgency=medium

  [ Colin Watson ]
  * Require python3-multipart (>= 0.0.13); some tests require this, since
    earlier versions didn't have a python_multipart package.
  * Accept renamed python3-python-multipart; Closes: #1088569

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2024 21:00:07 -0500

fastapi (0.115.5-1) unstable; urgency=medium

  * New upstream release; Closes: #1030779
  * debian/control
    - build the package with pdm, not hatch
    - add inline-snapshot and pydantic-settings to b-d, needed by tests
    - bump Standards-Version to 4.7.0 (no changes needed)
  * debian/rules
    - split PYBUILD_TEST_ARGS into multiple lines, easier to edit
    - update tests exclusion for new upstream release; Closes: #1073445
  * debian/patches/PR12971-2087f0c07753112e3126126272c25211cd96c2c5.patch
    - ensure compatibility with pydantic >= 2.10, from upstream PR #12971

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Nov 2024 04:05:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,27 @@
 # test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
 # test_dependency_gets_exception -> https://github.com/tiangolo/fastapi/discussions/9934
 # test_path_operation_img -> needs a file in the doc/ dir, not available during autopkgtests
-export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning --ignore=docs_src/ --ignore=tests/test_default_response_class.py --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py --ignore=tests/test_response_by_alias.py -k " not test_get_custom_response and not test_root and not test_async_testing and not test_orjson_non_str_keys and not test_dependency_gets_exception and not test_path_operation_img"
+# tests/test_tutorial/test_sql_databases/test_tutorial -> avoids circular dependency loop with sqlmodel
+# test_fastapi_cli -> executes coverage directly and expects fastapi to be fully installed
+# test_openapi -> seems to fail only on 3.12 not 3.13
+# ignore::ResourceWarning -> see https://github.com/encode/starlette/pull/2693#issuecomment-2487626977
+export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning \
+                         -W ignore::ResourceWarning \
+                         --ignore=docs_src/ \
+			 --ignore=tests/test_default_response_class.py \
+			 --ignore-glob=tests/test_tutorial/test_security/test_tutorial005* \
+			 --ignore-glob=tests/test_tutorial/test_sql_databases/test_tutorial* \
+			 --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py \
+			 --ignore=tests/test_response_by_alias.py \
+			 -k "    not test_get_custom_response \
+			     and not test_root \
+			     and not test_async_testing \
+			     and not test_orjson_non_str_keys \
+			     and not test_dependency_gets_exception \
+			     and not test_path_operation_img \
+			     and not test_fastapi_cli \
+			     and not test_openapi \
+			 "
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## fastapi 0.115.11

=== debian/changelog ===
fastapi (0.115.11-3) unstable; urgency=medium

  * debian/patches/PR13452.patch
    - update test_exception_handler_body_access fix

 -- Sandro Tosi <morph@debian.org>  Thu, 06 Mar 2025 18:58:36 -0500

fastapi (0.115.11-2) unstable; urgency=medium

  * debian/copyright
    - fix machine readable copyright format by explicitly specify the Expat
      license; Closes: #1093471

 -- Sandro Tosi <morph@debian.org>  Thu, 06 Mar 2025 01:27:30 -0500

fastapi (0.115.11-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR12971-2087f0c07753112e3126126272c25211cd96c2c5.patch
    - drop patch, merged upstream
  * debian/patches/PR13452.patch
    - fix failure in test_exception_handler_body_access test; Closes: #1099230
  * debian/python3-fastapi.pyremove
    - remove log.txt (generated during tests) from the installed module path;
      Closes: #1093470

 -- Sandro Tosi <morph@debian.org>  Wed, 05 Mar 2025 02:11:43 -0500

fastapi (0.115.5-3) unstable; urgency=medium

  * debian/rules
    - ignore tests/test_multipart_installation.py during test, to support
      multipart/python_multipart co-existance in debian; Closes: #1091598

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2025 18:01:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fastapi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-aiofiles <!nocheck>,
@@ -13,19 +12,21 @@
                python3-email-validator <!nocheck>,
                python3-flask <!nocheck>,
                python3-httpx (>= 0.23.1) <!nocheck>,
-               python3-multipart <!nocheck>,
+               python3-inline-snapshot <!nocheck>,
+               python3-multipart (>= 0.0.13) | python3-python-multipart <!nocheck>,
+               python3-multipart (<< 0.1) | python3-python-multipart <!nocheck>,
                python3-pdm-backend,
                python3-peewee <!nocheck>,
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pydantic-settings <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-starlette (>= 0.38.5-0ubuntu1~) <!nocheck>,
+               python3-starlette (>= 0.25.0) <!nocheck>,
                python3-trio <!nocheck>,
                python3-typing-extensions (>= 4.7.1) <!nocheck>,
                python3-ujson <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/tiangolo/fastapi
 Vcs-Git: https://salsa.debian.org/morph/fastapi.git
 Vcs-Browser: https://salsa.debian.org/morph/fastapi

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # test_fastapi_cli -> executes coverage directly and expects fastapi to be fully installed
 # test_openapi -> seems to fail only on 3.12 not 3.13
 # ignore::ResourceWarning -> see https://github.com/encode/starlette/pull/2693#issuecomment-2487626977
+# tests/test_multipart_installation.py -> now that both multipart and python-multipart are in debian, we need to relax some of these tests, since dont install our own multipart proxy
 export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning \
                          -W ignore::ResourceWarning \
                          --ignore=docs_src/ \
@@ -23,6 +24,7 @@
 			 --ignore-glob=tests/test_tutorial/test_sql_databases/test_tutorial* \
 			 --ignore=tests/test_tutorial/test_custom_response/test_tutorial009c.py \
 			 --ignore=tests/test_response_by_alias.py \
+			 --ignore=tests/test_multipart_installation.py \
 			 -k "    not test_get_custom_response \
 			     and not test_root \
 			     and not test_async_testing \

## fastapi 0.118.0

=== requirements.txt ===
-e .[all]
-r requirements-tests.txt
-r requirements-docs.txt
pre-commit >=2.17.0,<5.0.0
# For generating screenshots
playwright

=== debian/changelog ===
fastapi (0.118.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * debian/control
    - add pwdlib to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Oct 2025 00:22:48 -0400

fastapi (0.115.11-5) unstable; urgency=medium

  * debian/patches/PR14036.patch
    - fix for pydantic 2.12.0~a1 ; patch provided by Colin Watson;
      Closes: #1113771

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Sep 2025 01:44:49 -0400

fastapi (0.115.11-4) unstable; urgency=medium

  * debian/{control, rules}
    - add orjson to b-d and run tests depending on it
    - add jwt, passlib to b-d and run test_tutorial005 tests
  * debian/rules
    - run test_openapi tests, now pass since 3.13 is the only available

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Mar 2025 00:58:05 -0400

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,14 @@
                python3-flask <!nocheck>,
                python3-httpx (>= 0.23.1) <!nocheck>,
                python3-inline-snapshot <!nocheck>,
+               python3-jwt <!nocheck>,
+               python3-multipart (<< 0.1) | python3-python-multipart <!nocheck>,
                python3-multipart (>= 0.0.13) | python3-python-multipart <!nocheck>,
-               python3-multipart (<< 0.1) | python3-python-multipart <!nocheck>,
+               python3-orjson <!nocheck>,
+               python3-passlib <!nocheck>,
                python3-pdm-backend,
                python3-peewee <!nocheck>,
+               python3-pwdlib <!nocheck>,
                python3-pydantic (>= 1.8.2) <!nocheck>,
                python3-pydantic-settings <!nocheck>,
                python3-pytest <!nocheck>,

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=fastapi

# tests/test_response_by_alias.py -> TypeError: Field() missing 1 required positional argument: 'default'
# test_root, test_async_testing -> until we have an up-to-date httpx, which doesnt cause "AttributeError: module 'httpcore' has no attribute 'PlainByteStream'"
# test_dependency_gets_exception -> https://github.com/tiangolo/fastapi/discussions/9934
# test_path_operation_img -> needs a file in the doc/ dir, not available during autopkgtests
# tests/test_tutorial/test_sql_databases/test_tutorial -> avoids circular dependency loop with sqlmodel
# test_fastapi_cli -> executes coverage directly and expects fastapi to be fully installed
# ignore::ResourceWarning -> see https://github.com/encode/starlette/pull/2693#issuecomment-2487626977
# tests/test_multipart_installation.py -> now that both multipart and python-multipart are in debian, we need to relax some of these tests, since dont install our own multipart proxy
export PYBUILD_TEST_ARGS=-W ignore::DeprecationWarning \
                         -W ignore::ResourceWarning \
                         --ignore=docs_src/ \
			 --ignore-glob=tests/test_tutorial/test_sql_databases/test_tutorial* \
			 --ignore=tests/test_response_by_alias.py \
			 --ignore=tests/test_multipart_installation.py \
			 -k " \
			         not test_root \
			     and not test_async_testing \
			     and not test_dependency_gets_exception \
			     and not test_path_operation_img \
			     and not test_fastapi_cli \
			 "

%:
	dh $@ --with python3 --buildsystem=pybuild

## fastapi build-0.2.8

=== fastapi_build/scripts/example_file/requirements.txt ===
fastapi
gunicorn
loguru
pydantic
PyJWT
PyMySQL
python-dotenv
pytz
SQLAlchemy
typing_extensions
uvicorn
passlib
bcrypt
click

## fastapi contrib-0.2.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = fastapi_contrib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## fastapi framework-1.1.0

=== requirements.txt ===
fastapi==0.65.2
aioredis==1.3.1
passlib==1.7.4
PyJWT==2.1.0
python-dotenv==0.18.0
SQLAlchemy==1.4.20
uvicorn==0.14.0

## fastapi keycloak-1.0.1

=== fastapi_keycloak/requirements.txt ===
anyio==3.4.0
asgiref==3.4.1
certifi==2021.10.8
charset-normalizer==2.0.9
click==8.0.3
ecdsa==0.17.0
fastapi==0.70.1
h11==0.12.0
idna==3.3
pyasn1==0.4.8
pydantic==1.8.2
python-jose==3.3.0
requests==2.26.0
rsa==4.8
six==1.16.0
sniffio==1.2.0
starlette==0.16.0
typing_extensions==4.0.1
urllib3==1.26.7
uvicorn==0.16.0
itsdangerous==2.0.1

## fastapi keycloak-1.0.6

=== requirements.txt ===
anyio==3.4.0
asgiref==3.4.1
astunparse==1.6.3
certifi==2021.10.8
charset-normalizer==2.0.9
click==8.0.3
ecdsa==0.17.0
fastapi==0.70.1
ghp-import==2.0.2
h11==0.12.0
idna==3.3
importlib-metadata==4.10.0
itsdangerous==2.0.1
Jinja2==3.0.3
Markdown==3.3.6
MarkupSafe==2.0.1
mergedeep==1.3.4
mkdocs==1.2.3
mkdocs-autorefs==0.3.0
mkdocs-material==7.3.6
mkdocs-material-extensions==1.0.3
mkdocstrings==0.16.2
packaging==21.3
pyasn1==0.4.8
pydantic==1.8.2
Pygments==2.10.0
pymdown-extensions==9.1
pyparsing==3.0.6
python-dateutil==2.8.2
python-jose==3.3.0
pytkdocs==0.12.0
PyYAML==6.0
pyyaml-env-tag==0.1
requests==2.26.0
rsa==4.8
six==1.16.0
sniffio==1.2.0
starlette==0.16.0
typing-extensions==4.0.1
urllib3==1.26.7
uvicorn==0.16.0
watchdog==2.1.6
zipp==3.6.0

=== fastapi_keycloak/requirements.txt ===


## fastapi opentracing-0.1

=== requirements.txt ===
click==7.1.2
fastapi==0.61.1
h11==0.9.0
httptools==0.1.1
jaeger-client==4.3.0
opentracing==2.3.0
pydantic==1.6.1
six==1.15.0
starlette==0.13.6
threadloop==1.0.2
thrift==0.13.0
tornado==6.0.4
uvicorn==0.11.8
uvloop==0.14.0
websockets==8.1

## fastapi opentracing-0.2

=== requirements.txt ===
click==7.1.2
fastapi==0.61.1
h11==0.10.0
httptools==0.1.1
jaeger-client==4.3.0
opentracing==2.3.0
pydantic==1.6.1
six==1.15.0
starlette==0.13.8
threadloop==1.0.2
thrift==0.13.0
tornado==6.0.4
uvicorn==0.11.8
uvloop==0.14.0
websockets==8.1

## fastapi opentracing-0.3.3

=== requirements.txt ===
fastapi==0.61.1
jaeger-client==4.3.0
opentracing==2.3.0
uvicorn==0.11.8

## fastapi opentracing-0.5.0

=== requirements.txt ===
fastapi==0.61.1
jaeger-client==4.3.0
opentracing==2.3.0
uvicorn==0.11.8
fastapi-base-tools==0.0.2

## fastapi toolkit-0.0.4

=== requirements.txt ===
alembic>=1.7.5,<1.8.0
asyncpg>=0.24.0,<0.25.0
cookiecutter>=1.7.3,<1.8.0
fastapi>=0.70.1,<0.71.0
ipython>=8.1.1,<8.2.0
pydantic>=1.9.0,<2.0.0
typer>=0.4.0,<0.5.0
orjson>=3.6.7,<3.7.0
SQLAlchemy>=1.4.28,<1.5.0
uvicorn>=0.15.0,<0.16.0

## fastapi toolkit-0.0.11

=== requirements.txt ===
alembic~=1.7.5
asyncpg~=0.24.0
cookiecutter~=1.7.3
fastapi~=0.70.1
ipython~=8.1.1
pydantic~=1.9.0
typer~=0.4.0
orjson~=3.6.7
SQLAlchemy~=1.4.28
uvicorn~=0.15.0
greenlet~=1.1.2

## fastapi toolkit-0.0.18

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,5 @@
 SQLAlchemy~=1.4.28
 uvicorn~=0.15.0
 greenlet~=1.1.2
+newrelic~=7.10.0.175
+sentry-sdk~=1.5.9

## fastapi toolkit-0.0.20

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+aioredis~=2.0.1
 alembic~=1.7.5
 asyncpg~=0.24.0
 cookiecutter~=1.7.3

## fastapi users-10.4.0

=== examples/beanie/requirements.txt ===
fastapi
fastapi-users[beanie]
uvicorn[standard]

=== examples/sqlalchemy/requirements.txt ===
fastapi
fastapi-users[sqlalchemy]
uvicorn[standard]
aiosqlite

## fastapi versionizer-4.0.1

=== requirements.txt ===
fastapi>=0.86.0
natsort==8.*
